=== debian/changelog ===
tlslite-ng (0.5.1-1) unstable; urgency=medium

  * Initial release (Closes: #803977).

 -- Daniel Stender <debian@danielstender.com>  Mon, 08 Feb 2016 02:26:10 +0100
