=== debian/control ===
Source: tlslite-ng
Section: python
Priority: optional
Maintainer: Daniel Stender <debian@danielstender.com>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all,
 python-unittest2,
 python-mock,
 python-crypto,
 python-m2crypto,
 python-gmpy,
 python3-all,
 python3-crypto,
 pandoc,
 txt2man
Standards-Version: 3.9.6
Homepage: https://github.com/tomato42/tlslite-ng
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Testsuite: autopkgtest

Package: python-tlslite-ng
Architecture: all
Depends:
 ${python:Depends},
 python-crypto,
 python-m2crypto,
 python-gmpy,
 ${misc:Depends}
Breaks:
 python-tlslite (<= 0.3.8-2)
Description: pure Python implementation of SSL/TLS protocols
 tlslite-ng is a Python implementation of SSL (Secure Sockets Layer)
 and TLS (Transport Layer Security) cryptographic protocols for
 providing communication security for computer networks. It supports
 RSA and SRP ciphersuites.
 .
 tlslite-ng integrates well with several stdlib networking libraries. It aims
 to be a drop-in replacement for TLS lite (which is not in Debian anymore) while
 providing a more comprehensive set of features and more secure defaults.
 .
 Important: if you think about employing tlslite-ng for securing network
 connections please be sure to have read "11. Security Considerations" in the
 README.
 .
 This package provides the modules for Python 2.

Package: python3-tlslite-ng
Architecture: all
Depends:
 ${python3:Depends},
 python3-crypto,
 ${misc:Depends}
Description: pure Python3 implementation of SSL/TLS protocols
 tlslite-ng is a Python implementation of SSL (Secure Sockets Layer)
 and TLS (Transport Layer Security) cryptographic protocols for
 providing communication security for computer networks. It supports
 RSA and SRP ciphersuites.
 .
 tlslite-ng integrates well with several stdlib networking libraries. It aims
 to be a drop-in replacement for TLS lite (which is not in Debian anymore) while
 providing a more comprehensive set of features and more secure defaults.
 .
 Important: if you think about employing tlslite-ng for securing network
 connections please be sure to have read "11. Security Considerations" in the
 README.
 .
 This package provides the modules for Python 3.
