=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck
export PYBUILD_NAME=tlslite-ng

VERSION := $(shell dpkg-parsechangelog -Sversion | cut -d- -f1)
DEBDATE := $(shell dpkg-parsechangelog -Sdate | date -u +"%F" -f -)

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -m unittest discover -v" dh_auto_test

override_dh_auto_install:
	dh_auto_install
	mv debian/python-tlslite-ng/usr/bin/tls.py debian/python-tlslite-ng/usr/bin/tls-python2
	mv debian/python-tlslite-ng/usr/bin/tlsdb.py debian/python-tlslite-ng/usr/bin/tlsdb-python2
	mv debian/python3-tlslite-ng/usr/bin/tls.py debian/python3-tlslite-ng/usr/bin/tls-python3
	mv debian/python3-tlslite-ng/usr/bin/tlsdb.py debian/python3-tlslite-ng/usr/bin/tlsdb-python3

override_dh_installdocs:
	pandoc -f markdown -t plain -o .pybuild/README README.md
	dh_installdocs -A .pybuild/README

override_dh_installchangelogs:
	sed -n '/'12\ HISTORY'/,/'0.1.0'/p' .pybuild/README > .pybuild/CHANGELOG
	dh_installchangelogs .pybuild/CHANGELOG

override_dh_installman:
	txt2man -s 1 -v "python-tlslite-ng" -t "TLS-PYTHON2" -r "$(VERSION)" -d "$(DEBDATE)" debian/tls.txt > .pybuild/tls-python2.1
	txt2man -s 1 -v "python-tlslite-ng" -t "TLSDB-PYTHON2" -r "$(VERSION)" -d "$(DEBDATE)" debian/tlsdb.txt > .pybuild/tlsdb-python2.1
	txt2man -s 1 -v "python3-tlslite-ng" -t "TLS-PYTHON3" -r "$(VERSION)" -d "$(DEBDATE)" debian/tls.txt > .pybuild/tls-python3.1
	sed -i 's/-python2/-python3/g' .pybuild/tls-python3.1
	txt2man -s 1 -v "python3-tlslite-ng" -t "TLSDB-PYTHON3" -r "$(VERSION)" -d "$(DEBDATE)" debian/tlsdb.txt > .pybuild/tlsdb-python3.1
	sed -i 's/-python2/-python3/g' .pybuild/tlsdb-python3.1
	dh_installman
