=== debian/tests/control ===
Tests: python-tlslite-ng
Depends: python-all, python-unittest2, python-mock, python-m2crypto

Tests: python3-tlslite-ng
Depends: python3-all
