=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]+)\.tar\.gz/tlslite-ng-$1.tar.gz/" \
https://github.com/tomato42/tlslite-ng/releases (?:.*/)?v?(\d[\d\.]+)\.tar\.gz
