## tlslite-ng 0.5.2

=== debian/changelog ===
tlslite-ng (0.5.2-1) unstable; urgency=medium

  * New upstream release.
  * Initialized git-dpm (added deb/.git-dpm).
  * deb/control:
    + updated maintainer email address.
    + bumped standards to 3.9.7 (no changes needed).
    + added Vcs-Git and Vcs-Browser fields.
    + dropped Testsuite field (deprecated).
    + put optional deps crypto, m2crypto and gmpy into Recommends.
    + use Replaces with Breaks, bumped version to latest one on
      snapshot.debian.org
    + expanded long description on supported protocols.
  * deb/copyright: updated.
  * deb/tests/python{,3}-tlslite-ng: removed bashism, cosmetics.

 -- Daniel Stender <stender@debian.org>  Tue, 29 Mar 2016 16:15:42 +0200
