=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: tlslite-ng
 Section: python
 Priority: optional
-Maintainer: Daniel Stender <debian@danielstender.com>
+Maintainer: Daniel Stender <stender@debian.org>
 Build-Depends:
  debhelper (>= 9),
  dh-python,
@@ -15,27 +15,31 @@
  python3-crypto,
  pandoc,
  txt2man
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://github.com/tomato42/tlslite-ng
+Vcs-Git: https://github.com/danstender/tlslite-ng_debian.git
+Vcs-Browser: https://github.com/danstender/tlslite-ng_debian
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
-Testsuite: autopkgtest
 
 Package: python-tlslite-ng
 Architecture: all
 Depends:
  ${python:Depends},
+ ${misc:Depends}
+Recommends:
  python-crypto,
  python-m2crypto,
- python-gmpy,
- ${misc:Depends}
+ python-gmpy
 Breaks:
- python-tlslite (<= 0.3.8-2)
+ python-tlslite (<= 0.3.8-4)
+Replaces:
+ python-tlslite (<= 0.3.8-4)
 Description: pure Python implementation of SSL/TLS protocols
  tlslite-ng is a Python implementation of SSL (Secure Sockets Layer)
  and TLS (Transport Layer Security) cryptographic protocols for
  providing communication security for computer networks. It supports
- RSA and SRP ciphersuites.
+ SSLv3, TLSv1.0, TLSv1.1, TLSv1.2 and several ciphersuites.
  .
  tlslite-ng integrates well with several stdlib networking libraries. It aims
  to be a drop-in replacement for TLS lite (which is not in Debian anymore) while
@@ -51,13 +55,14 @@
 Architecture: all
 Depends:
  ${python3:Depends},
- python3-crypto,
  ${misc:Depends}
+Recommends:
+ python3-crypto
 Description: pure Python3 implementation of SSL/TLS protocols
  tlslite-ng is a Python implementation of SSL (Secure Sockets Layer)
  and TLS (Transport Layer Security) cryptographic protocols for
  providing communication security for computer networks. It supports
- RSA and SRP ciphersuites.
+ SSLv3, TLSv1.0, TLSv1.1, TLSv1.2 and several ciphersuites.
  .
  tlslite-ng integrates well with several stdlib networking libraries. It aims
  to be a drop-in replacement for TLS lite (which is not in Debian anymore) while
