## tlslite-ng 0.6.0

=== debian/changelog ===
tlslite-ng (0.6.0-1+deb9u1) stretch; urgency=medium

  * add verify-mac-even-if-the-padding-is-1-byte-long.patch,
    providing fix for CVE-2018-1000159 (Closes: #895728).

 -- Daniel Stender <stender@debian.org>  Fri, 06 Jul 2018 21:55:56 +0200

tlslite-ng (0.6.0-1) unstable; urgency=medium

  * New upstream release:
    + add ecdsa and hypothesis to build-deps in deb/control, and DEP-8
      tests.
  * drop git-dpm patch regime:
    + remove deb/.git-dpm, add deb/gbp.conf.
  * deb/control:
    + update Vcs fields (source moved to collab-maint).
    + bumped standards to 3.9.8 (no changes needed).
  * deb/watch:
    + improve filenamemangle.

 -- Daniel Stender <stender@debian.org>  Wed, 16 Nov 2016 16:32:34 +0100
