=== debian/control ===
--- 
+++ 
@@ -6,6 +6,10 @@
  debhelper (>= 9),
  dh-python,
  python-all,
+ python-ecdsa,
+ python3-ecdsa,
+ python-hypothesis,
+ python3-hypothesis,
  python-unittest2,
  python-mock,
  python-crypto,
@@ -15,10 +19,10 @@
  python3-crypto,
  pandoc,
  txt2man
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/tomato42/tlslite-ng
-Vcs-Git: https://github.com/danstender/tlslite-ng_debian.git
-Vcs-Browser: https://github.com/danstender/tlslite-ng_debian
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/tlslite-ng.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/tlslite-ng.git
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
