## tlslite-ng 0.7.0

=== debian/changelog ===
tlslite-ng (0.7.0-3) unstable; urgency=medium

  * deb/control:
    + bump standards to 4.1.3 (no changes needed).
    + Set Vcs-* to salsa.debian.org [Ondřej Nový]
  * deb/copyright:
    + expand copyright span to 2018.

 -- Daniel Stender <stender@debian.org>  Sun, 18 Feb 2018 21:55:28 +0100

tlslite-ng (0.7.0-2) unstable; urgency=medium

  * deb/control: bump deps against ecdsa of binary packages to Depends.

 -- Daniel Stender <stender@debian.org>  Tue, 08 Aug 2017 16:56:02 +0200

tlslite-ng (0.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Stender <stender@debian.org>  Sat, 05 Aug 2017 21:48:00 +0200

tlslite-ng (0.6.0-2) unstable; urgency=medium

  * deb/gbp.conf:
    + change debian-branch to meet DEP-14.
    + add sign-tags switch, drop separate [import-orig] section.
  * deb/copyright:
    + use https in Format field (wanted by standards update).
    + drop Files-Excluded (not needed).
    + expand copyright span.
  * deb/control:
    + add DPMT as Uploaders.
    + sort build-deps more reasonable.
    + update Vcs fields (repo moved from collab-maint to python-modules).
    + add ecdsa to Recommends of binaries (Closes: #857908).
    + bump standards version to 4.0.0 (no further changes needed).
  * use debhelper level 10 (changes in deb/compat and deb/control).

 -- Daniel Stender <stender@debian.org>  Fri, 21 Jul 2017 18:35:30 +0200
