=== debian/control ===
--- 
+++ 
@@ -2,33 +2,35 @@
 Section: python
 Priority: optional
 Maintainer: Daniel Stender <stender@debian.org>
+Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  dh-python,
  python-all,
+ python3-all,
+ python-unittest2,
+ python-mock,
+ python-hypothesis,
+ python3-hypothesis,
  python-ecdsa,
  python3-ecdsa,
- python-hypothesis,
- python3-hypothesis,
- python-unittest2,
- python-mock,
  python-crypto,
+ python3-crypto,
  python-m2crypto,
  python-gmpy,
- python3-all,
- python3-crypto,
  pandoc,
  txt2man
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://github.com/tomato42/tlslite-ng
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/tlslite-ng.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/tlslite-ng.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/tlslite-ng.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/tlslite-ng
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 
 Package: python-tlslite-ng
 Architecture: all
 Depends:
+ python-ecdsa,
  ${python:Depends},
  ${misc:Depends}
 Recommends:
@@ -58,6 +60,7 @@
 Package: python3-tlslite-ng
 Architecture: all
 Depends:
+ python3-ecdsa,
  ${python3:Depends},
  ${misc:Depends}
 Recommends:
