=== debian/changelog ===
tlslite-ng (0.7.4-1) unstable; urgency=medium

  * New upstream release (Closes: #895728). Includes fix of
    CVE-2018-1000159.
  * deb/control: bump standards to 4.1.4 (no changes needed).

 -- Daniel Stender <stender@debian.org>  Sun, 15 Apr 2018 19:51:41 +0200

tlslite-ng (0.7.3-1) unstable; urgency=medium

  * New upstream release.
  * drop test-keyfactory-fix-m2cryptocheck.patch (fixed upstream).

 -- Daniel Stender <stender@debian.org>  Mon, 19 Mar 2018 16:50:40 +0100

tlslite-ng (0.7.1-1) unstable; urgency=medium

  * New upstream release.
  * add test-keyfactory-fix-m2cryptocheck.patch.

 -- Daniel Stender <stender@debian.org>  Mon, 12 Mar 2018 07:31:55 +0100
