=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  python-gmpy,
  pandoc,
  txt2man
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://github.com/tomato42/tlslite-ng
 Vcs-Git: https://salsa.debian.org/python-team/modules/tlslite-ng.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/tlslite-ng
