=== debian/tests/control ===
Tests: python-tlslite-ng
Depends: python-all, python-unittest2, python-mock, python-m2crypto, python-ecdsa, python-hypothesis

Tests: python3-tlslite-ng
Depends: python3-all, python3-ecdsa, python3-hypothesis
