=== debian/changelog ===
tlslite-ng (0.7.5-2) unstable; urgency=medium

  * deb/control:
    + bump standards to 4.2.1 (no further changes needed).
    + add !nocheck build profile switches to build-deps.
    + sort build-deps according to build-tests-docs.
  * deb/rules:
    + build with DH_VERBOSE=1 (according to standards 4.2.0).
    + drop unnecessary export line for DEB_BUILD_OPTIONS.
  * drop empty debian/patches [Chris Lamb].
  * build with dh level 11 (changes in deb/compat und deb/control).

 -- Daniel Stender <stender@debian.org>  Fri, 02 Nov 2018 21:58:16 +0100

tlslite-ng (0.7.5-1) unstable; urgency=medium

  * New upstream release.
  [ Ondřej Nový ]
  * d/control: Remove ancient X-{Python,3}-Version field.

 -- Daniel Stender <stender@debian.org>  Wed, 01 Aug 2018 12:15:27 +0200
