=== debian/control ===
--- 
+++ 
@@ -4,28 +4,26 @@
 Maintainer: Daniel Stender <stender@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  dh-python,
  python-all,
  python3-all,
- python-unittest2,
- python-mock,
- python-hypothesis,
- python3-hypothesis,
  python-ecdsa,
  python3-ecdsa,
- python-crypto,
- python3-crypto,
- python-m2crypto,
- python-gmpy,
+ python-unittest2 <!nocheck>,
+ python-mock <!nocheck>,
+ python-hypothesis <!nocheck>,
+ python3-hypothesis <!nocheck>,
+ python-crypto <!nocheck>,
+ python3-crypto <!nocheck>,
+ python-m2crypto <!nocheck>,
+ python-gmpy <!nocheck>,
  pandoc,
  txt2man
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://github.com/tomato42/tlslite-ng
 Vcs-Git: https://salsa.debian.org/python-team/modules/tlslite-ng.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/tlslite-ng
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
 
 Package: python-tlslite-ng
 Architecture: all
